Name:           perl-Alien-libtermkey
Version:        0.22
Release:        4%{?dist}
Summary:        Alien wrapping for libtermkey
License:        GPL-1.0-or-later OR Artistic-1.0-Perl

URL:            https://metacpan.org/dist/Alien-libtermkey
Source0:        https://cpan.metacpan.org/authors/id/P/PE/PEVANS/Alien-libtermkey-%{version}.tar.gz

# This is a full-arch package because it requires an arch-specific
# libtermkey.so library but it does not install any ELF, therefore
# disable debuginfo generation.
%global debug_package %{nil}

# build requirements
BuildRequires:  coreutils
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(File::Basename)
BuildRequires:  perl(File::Path) >= 2.07
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(POSIX)
BuildRequires:  perl(base)
BuildRequires:  perl(constant)
BuildRequires:  perl(lib)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
BuildRequires:  pkgconfig(termkey)
# runtime requirements
BuildRequires:  perl(ExtUtils::CChecker)
Requires:       perl(ExtUtils::CChecker)
# This RPM package ensures libtermkey.so is installed on the system
Requires:       libtermkey-devel(%{__isa}) = %(type -p pkgconf >/dev/null && pkgconf --exists termkey && pkgconf --modversion termkey|| echo 0)

%description
This CPAN distribution wraps the C library libtermkey in a wrapper suitable
to drive CPAN and other Perl-related build infrastructure.

%prep
%setup -q -n Alien-libtermkey-%{version}

%build
/usr/bin/perl Build.PL --installdirs=vendor
./Build

%install
./Build install --destdir=$RPM_BUILD_ROOT --create_packlist=0
%{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%files
%doc Changes README
%license LICENSE
%{perl_vendorlib}/Alien*
%{_mandir}/man3/Alien*

%changelog
* Fri Jan 17 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.22-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Sun Oct 27 2024 Emmanuel Seyman <emmanuel@seyman.fr> - 0.22-3
- run-require libtermkey-devel, as suggested by Petr Pisar (#2318412)

* Wed Oct 16 2024 Emmanuel Seyman <emmanuel@seyman.fr> - 0.22-2
- Take into account package review (#2318410)

* Sun Sep 29 2024 Emmanuel Seyman <emmanuel@seyman.fr> - 0.22-1
- Initial specfile, based on the one autogenerated by cpanspec 1.78.
